import type { NobjcObject } from "objc-js";
import type { _NSImageRep } from "./NSImageRep.js";
import type { CGRect } from "../structs/CGRect.js";
import type { CGSize } from "../structs/CGSize.js";
export declare class _NSCustomImageRep extends _NSImageRep {
    static alloc(): _NSCustomImageRep;
    static new(): _NSCustomImageRep;
    init(): _NSCustomImageRep;
    /**
     * Note that the block passed to the below method may be invoked whenever and on whatever thread the image itself is drawn on. Care should be taken to ensure that all state accessed within the drawingHandler block is done so in a thread safe manner.
     */
    initWithSize$flipped$drawingHandler$(size: CGSize, drawingHandlerShouldBeCalledWithFlippedContext: boolean, drawingHandler: (dstRect: CGRect) => boolean): _NSCustomImageRep;
    initWithDrawSelector$delegate$(selector: string, delegate: NobjcObject): _NSCustomImageRep;
    drawingHandler(): (arg0: CGRect) => boolean;
    drawSelector(): string | null;
    delegate(): NobjcObject | null;
}
